{ lib
, pkgs
, config
, nixpkgs
, ...
}:
{
  home = {
    username = "harald";
    homeDirectory = "/home/${config.home.username}";
    stateVersion = "23.11"; # Please read the comment before changing.
    sessionPath = [ "$HOME/bin" ];
  };

  plusultra = {
    cli-apps = {
      bash.enable = true;
      fish.enable = true;
      neovim.enable = true;
      tmux.enable = true;
      bat.enable = true;
      starship.enable = true;
      home-manager.enable = true;
    };
    tools = {
      git.enable = true;
      direnv.enable = true;
      ssh.enable = true;
    };
  };
}

